<mat-progress-bar *ngIf="showLoadTeamsProgressIndicator" mode="indeterminate"></mat-progress-bar>
<div class="button_list">
  <button
    class="selectButton"
    mat-flat-button
    *ngFor="let team of teams" (click)="onSelectTeam(team)"
    [color]="selectedTeam == team ? 'primary' : null">{{team.shortName}}</button>
</div>
<mat-divider></mat-divider>
<mat-progress-bar *ngIf="showLoadPlayersProgressIndicator" mode="indeterminate"></mat-progress-bar>
<div class="button_list">
  <button *ngIf="selectedTeam && selfRegistration"
          class="new-player-button"
          mat-icon-button color="primary"
          aria-label="Register yourself"
          (click)="showNewPlayerDialog()">
    <fa-icon [icon]="faUserPlus"></fa-icon>
  </button>
  <button
    class="selectButton"
    [class.paid_button] = "player.paid"
    mat-flat-button
    *ngFor="let player of players" (click)="onSelectPlayer(player)">{{player.name}}</button>
</div>
<mat-divider *ngIf="selectedTeam"></mat-divider>
